Loading...
Searching...
No Matches
Magick::levelImage Class Reference

## Public Member Functions

| levelImage (const double black_point, const double white_point, const double mid_point=1.0)
void | operator() (Image &image_) const

## Private Attributes

double | _black_point
double | _white_point
double | _mid_point

## Detailed Description

Definition at line 669 of file STL.h.

## Constructor & Destructor Documentation

## levelImage()

Magick::levelImage::levelImage | ( | const double | black_point,
|  | const double | white_point,
|  | const double | mid_point = 1.0 )

Definition at line 641 of file STL.cpp.

: _black_point(black_point),
_white_point(white_point),
_mid_point(mid_point)
{
}

## Member Function Documentation

## operator()()

void Magick::levelImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 649 of file STL.cpp.

{
image_.level( _black_point, _white_point, _mid_point );
}

## Field Documentation

## _black_point

double Magick::levelImage::_black_point

private

Definition at line 679 of file STL.h.

## _mid_point

double Magick::levelImage::_mid_point

private

Definition at line 681 of file STL.h.

## _white_point

double Magick::levelImage::_white_point

private

Definition at line 680 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp